%% Deletes point number 'ind' from matrix 'xy_matr'
%% ===============================================================================
%%
%% Parameters:
%%	xy_matr_out, xy_ind_out - data and index matrices to update
%%	ind - index of the row in xy_matr to delete. If ind=[], or ind < 0, no deletion is made
%%
%% Returns:
%%	xy_matr_out, xy_ind_out - updated xy_matr and xy_ind

function [ xy_matr_out, xy_ind_out ] = delete_point( xy_matr, xy_ind, ind )

	xy_matr_out = xy_matr;
	xy_ind_out = xy_ind;

	if isempty(ind) 		% nothing to do
		return
	end

	if ind < 1 || size(xy_matr_out,1) < ind		% nothing to do
		return
	end

	% modify segment indices
		
	for j=1:size(xy_ind_out,1)

		if xy_ind_out(j,1) <= ind	
	
			if xy_ind_out(j,2) >= ind

				xy_ind_out(j,2) = xy_ind_out(j,2) - 1;		% remove point from this segment

				if xy_ind_out(j,2) < xy_ind_out(j,1)		% segment became empty
					xy_ind_out(j,:) = [0, 0];
				end

			end
		else		% segment starts after 'ind'. shift all points in the segment down

			xy_ind_out(j,:) = xy_ind_out(j,:) - 1;
		end
	end

	% remove point from data matrix

	xy_matr_out(ind,:) = [];
end

