%% Returns semblance peaks from dispersion spectra  
%%
%% Parameters:
%%      num - requested FFID or CMP number 
%% Returns:
%%	peak - matrix of semblance peaks, as in 'semb_peak' dispersion semblance structure
%%	peak1 - matrix of semblance peaks, as in 'semb_peak1' dispersion semblance structure
%%	freq - (optional) frequency grid from dispersion semblance

function [ peak, peak1, freq ] = dispersion_peaks(num)

  	[ ~, ~, dsemb ] = record_ffid(num); 	% load dispersion spectra from .mat file

  	if isempty(dsemb)
		error('Dispersion semblance for num %d has not been created', num)
  	end

	peak = dsemb.semb_peak;
	peak1 = dsemb.semb_peak1;

	if nargout > 2
		freq = dsemb.f;
	end
end

