%% Returns segment number number for row(xy_matr(ind,:)) 
%% ===============================================================================
%%
%% Parameters:
%%	xy_ind - index matrix
%%	ind - row in xy_matr for which the segment is sought
%%
%% Returns:
%%	segment - number of row in xy_ind containing 'ind'
%%		if no matching segment is found, segment=0 is returned

function segment = find_segment( xy_ind, ind )

	segment = find(xy_ind(:,1)<=ind & xy_ind(:,2)>= ind);

	if isempty(segment)
		segment = 0;
	end
end

