%% Returns a list (character matrix) of file-name prefixes (without path and extensions) 
%% in directory 'directory' with extensions 'ext'
%% (note that the leading dot is included in 'ext', for example: ".bin")

function lst = list_files( directory, ext )
   
  if nargin < 2
	ext = ".bin";
  end

  lst=[];
  
  warning("off");
  files = dir(directory);  
  warning("on");

%files
%sf  = size(files,1)

  if size(files,1) > 0
    
	% determine the max length of output strings

    nchar = 0;

    for i=1:size(files,1)
	nchar = max( [ nchar, length(files(i).name) ] );
    end

    nchar = nchar - length(ext);

%nchar

    for i=1:size(files,1)
    
      [ tok rem1 ] = strtok(files(i).name,'.');

      tok = strtrim(tok);

      if length(tok) == 0 || strcmp(rem1,ext) == 0
        continue
      end

	% pad tok with spaces

      n = nchar - length(tok);

      if n > 0
		tok = [ tok, blanks(n) ];
      end

%sprintf("|%s| %d",tok,length(tok))

     if size(lst,1)==0    % first
       lst = tok;
     else
       lst = [ lst; tok ];
     end
     
    end
    
  end

end

