%% Returns list of vintages available for the given line
%% ============================================================
%% Parameters:
%%	line_no - line number
%%
%% Returns:
%%	ffids - sorted column of ffids in this line
%% 	vintages - sorted column of different vintage numbers in this line
%% 	srcstn - sorted column of unique source station numbers in this line
%% 	ids - sorted column of unique ID numbers in this line
%%
%% Usage examples:
%%	ffids = list_line(12)
%%	[~, vintages] = list_line(12)

function [ ffids, vintages, srcstn, ids ] = list_line(line_no)

	logf = filename_log('./',line_no(1));

	if isempty(logf)
		ffids = [];
		vintages = [];
		ids = [];
	else
		% ouput source stations as ids

		[ ~, ffids, ~, srcstn, ~, ~, vintages ] = params_line(logf,line_no(1));

		ffids = sort(ffids);
		srcstn = sort(unique(srcstn));
		vintages = sort(unique(vintages));
	end

	ids = [ 1; 15 ];	% this list is fudged for now ! 
end

