%% Returns the general part of 'param' structure for dispersion-picking interactive algorithms
%%

function param = param_pick_dispersion()

  	param.name = [ 'N  '; 'N-1'; 'N-2'; 'N-3' ];

  	param.marker = [ '.k'; '+k'; 'xk'; 'ok' ];	% markers and default color for different modes

	param.sortX = true;	% flag to sort picks by the values of X (frequency) within each segment

  	param.vicinity = 0.01;	% minimum relative distance from the cursor on the plot at which 
				% selection or deletion of points is made

  	param.menu_header = 'Select wave mode to pick';
  	param.menu_list = {'None','N (highest)','N-1','N-2','N-3'};
  	param.segment_list = {'N (highest)','N-1','N-2','N-3'};

  	param.query_banner = 'Pick Dispersion: confirmation';

  	param.help_line = 'm: select mode; d: delete; +: promote; -: demote; n,x: next FFID; q: quit';

  	param.query_stop = 'STOP all picking?';
end

