%% Returns plot coordinates according to current procdata.plot_modes value
%%
%% Parameters:
%%	xy - matrix with two columns of (frequency,slowness) values
%%	xy_plot - the same matrix with columns of coordinates specified
%%		by the value of procdata.plot_modes

function xy_plot = plot_coords( xy )

global procdata

  if size(xy,1)		% not empty

	switch  lower(procdata.plot_modes)

		case 'fv'	% (frequency, phase velocity)

			xy_plot = [ xy(:,1), xy(:,2).^(-1) ];

		case 'zvs'	% (depth, S-wave velocity) 

			% calculate pseudodepth from wavelength

			v = xy(:,2).^(-1);			% phase velocity

	        	xy_plot = [ v*procdata.Vs, procdata.pseudodepth*v./xy(:,1) ];

		otherwise 	% (frequency, slowness) as in input

			xy_plot = xy;
	end

  else			% empty input array
	xy_plot = [];
  end

end

