%% Creates a plot of dispersion semblance with picks in current figure
%%
%% The program expects that the plot is added to an image with constant line number
%% given in procdata.line. Different instances of calls to plot_modes()
%% are differentiated by procdata.vintage values, which are placed in the legend
%%
%% Parameters:
%%      num - requested FFID or CMP number 
%%	dataset - optional string parameter. 
%%		If dataset='ffid' (default), the name of .mat file related to a selected
%%		ffid is returned.
%%		If dataset='cmp', the name of .mat file related to cmp number = num is returned
%%
%%		If this parameter is not given, dataset='ffid' is assumed.

function plot_modes(num)

global procdata

  switch lower(procdata.dataset)

	case 'id'	% for id, explicitly work with each vintage

		[ ~, vint_list ] = list_line(procdata.line(1));		% obtain all available vintages

		% try one vintage at a time

		for j = 1:length(vint_list)

			plot_modes1(num,vint_list(j))
		end

	otherwise
		plot_modes1(num,procdata.vintage)
  end

end

