%% Plots only semblance image in one plot, without title
%% =====================================================================
%% Parameters:
%%	dsemb - structure containing dispersion semplance and picks
%%	semb_no - slice of semblance needed when using 3-D semblance grid
%%		default value of 0 means 2-D semblance

function plot_semblance1(dsemb,semb_no)

global procdata

  hold on

  if nargin < 2
	semb_no = 0;
  end

  if semb_no > 0
  	imagesc(dsemb.f,dsemb.slwns,transpose(dsemb.semblance(:,:,semb_no)))
  else
  	imagesc(dsemb.f,dsemb.slwns,transpose(dsemb.semblance(:,:,1)))
  end

  colorbar

  plot(dsemb.f,dsemb.p_alias,'m-')	% magenta curve showing aliasing range
  plot(dsemb.f,dsemb.p_separ,'m-')	% magenta curve showing separator between modes

  if ~isempty(dsemb.semb_peak)
  	plot(dsemb.semb_peak(:,1),dsemb.semb_peak(:,2),'kx')
  end

  if ~isempty(dsemb.semb_peak1)
  	plot(dsemb.semb_peak1(:,1),dsemb.semb_peak1(:,2),'k+')
  end

  set(gca,'YTick',0:2.0:max(dsemb.slwns));

  if ~isempty(procdata.plot_freq_range)
  	xlim(procdata.plot_freq_range)
  end

  if isempty(procdata.plot_slwns_range)
  	ylim([0, max(dsemb.slwns)])
  else
  	ylim(procdata.plot_slwns_range)
  end

  xlabel('Frequency (kHz)')
  ylabel('Phase slowness (ms/m)')
  grid on

  drawnow

end

