%% Plot one shot record by FFID number
%% ===============================================================

%% Parameters:
%%	ffid - ffid number to plot
%%
%% Usage examples:
%%	plot_waveforms(150)

function plot_waveforms(ffid)

%% load record

  rec = record_ffid(ffid);

%% select not killed records

  ind = find(~ismember(rec.chan,rec.kill));

%%  Scale every record by peak value
%%  plot curves  with vertical offsets, so that the four channels are not overlapped
%%  but aligned by time

gain = 0.6;   % additional amplitude scaling factor for plot

figure(1)
clf		% this clears the figure in case it already exists
	
hold on		% this makes the different plot() commands to overlay the curves

for i=1:length(ind)
	i1 = ind(i);
	chan = rec.chan(i1);

	d = rec.data(:,i1);
	t = rec.times;

 	plot(d/max(abs(d))*gain+chan,t,'b-')
end

set(gca,"Ydir","reverse");

xlabel("Time (ms)")
ylabel("Channel number / Velocity")
title( sprintf("FFID %d", ffid ) )




