%% Modification of polyfit() function for linear regression.
%% Unlike the standard polyfit(), when fitting data with a single point (x,y),
%% the result will be a constant function equal y 
%%
%% The output array p can be used in polyval(), polyder(), and other similar functions.

function p = polyfit1( x, y )
   
  if length(x) < 2
	p = [0.0, y];
  else
	p = polyfit(x,y,1);
  end

end

