%% Transform matrix of slowness values (from average_picks()) into segment matrices
%% used in structure 'pick' 
%%
%% Parameters:
%%	freq - column of frequencies at which 'data' are defined
%%      data - slowness data matrix. Columns are modes, rows are frequencies in array 'freq'
%%		In this array, values > 0 are considered valid
%%
%% Returns:
%%	modes, modes_xy - mode pick arrays as in 'pick_dispersion' 

function [ modes, modes_xy ] = set_segments(freq, data)

	nmodes = size(data,2);

	modes = zeros(nmodes,2);
	modes_xy = [];

	for i = 1:nmodes		% loop over modes
		ind = find(data(:,i)>1.e-8);

		if ~isempty(ind)
			modes(i,1) = size(modes_xy,1) + 1;		% start

			modes_xy = [ modes_xy; freq(ind) data(ind,i) ];
			modes(i,2) = size(modes_xy,1);			% end
		end
	end
end

