%% Returns default station coordinates inferred from station numbers
%% ---------------------------------------------------------------------
%% Parameters:
%%      lineno - line number
%%      stn - station number (can be a column)
%%		If stn is not given returns coordinates of all available points
%%
%%  Returns:
%%      xyz - matrix with four columns:
%%		column of station numbers
%%		three columns of coordinates (north, east, elevation) 
%% =====================================================================

function xyz = survey_coords(lineno,stn)

  if exist("survey_rec")
  	[~,x ] = survey_rec(stn-100);
  else
	x = zeros(size(stn));
  end

  x = reshape(x,[],1);
  z = zeros(size(x));

  xyz = [ stn, x, z, z ];	% no crossline or depth coordinates 

end

