%% Returns default station coordinates inferred from station numbers
%% ---------------------------------------------------------------------
%% Parameters:
%%      linearr - line array from rec.line
%%      stn - station number (can be a column)
%%		If stn is not given, returns coordinates of all available points
%%
%%  Returns:
%%      xyz - matrix with four columns:
%%		column of station numbers
%%		three columns of coordinates (north, east, elevation) 
%% =====================================================================

function xyz = survey_coords_def(linearr,stn)

  x = ( stn - linearr(2))*linearr(4) + linearr(3);
 
  x = reshape(x,[],1);
  z = zeros(size(x));

  xyz = [ reshape(stn,[],1), x, z, z ];		% no crossline or depth coordinates 

end

