%%  Returns a new record produced by time shifting the first record  in 'rec'
%%  with a given time-distance moveout

%% Parameters:
%%      rec - records used for input
%%      dist - source-receiver distances for each data column >= 2 in rec
%%      velocity - moveout velocity (m/ms)
%%  Returns:
%%      rec_shifted - record formatted as 'rec' but containing in all columns > 2  
%%		shifted copies of rec(:,2)

function rec_shifted = test_moveout( rec, dist, velocity )

	rec_shifted = rec;	% init

	for i=3:size(rec,2)
		rec_shifted(:,i) = interp1(rec(:,1),rec(:,3),rec(:,1)-dist(i-1)/velocity,'linear','extrap');
	end
end


