%% Returns time range for various operations
%% The time range can be optionaly dependent on source-receiver offset through 
%%	procdata.reduction_vel
%% 

%% Parameters:
%%	offset - source-receiver offset. If not given offset=0 is taken
%% Returns:
%%	tr - array array of four numbers representing a tapered time interval:
%%		time_on_start, time_on_full, time_of_start, time_off_full.
%%	     If 'offset' is an array, matrix with multuiple rows is returned.
%%

function tr = time_range(offset)

global procdata

  if nargin >= 1

	offset = reshape(offset,length(offset),[]);	% reshape to a column

	tr = zeros(length(offset),length(procdata.time_range));

	tr = tr + procdata.time_range;		% equal time ranges for all offsets

	if procdata.reduction_vel > 1.0e-8
		tr = tr + abs(offset)/procdata.reduction_vel;
	end
  else
  	tr = procdata.time_range;
  end

%otr = [ offset, tr ]

end

