% Returns eigenvalues and eigenvectors of a square Hermitian matrix,
% with eigenvalues sorted in ascending order
%
% The velocity/density model should be given in global structure 'model'.
% The wavenumber and basis functions must be defined in global structure 'bfun'
%
% Parameters:
%	A - matrix for which to return the eigenstructure
% Returns:
%	eigval - column of  eigenvalues
%	eigvect - matrix of eigenvectors stored as columns
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [ eigval, eigvect ] = eigen(A)

  [evect1,evalarr] = eig(A);
  eval1 = diag(evalarr);
  [eigval,indeval] = sort(real(eval1),'ascend');
  eigvect = evect1(:,indeval);

% test :
%eigval
%evect

%for i=1:length(eval)
%	tesres = (M*eigvect(:,i)) ./ (S*eigvect(:,i)) * eigval(i)  % all these values should equal 1
%end

end

