%% Returns predicted data value based on teh data, derivative, and second derivative values 
%% at par = 1
%% -------------------------------------------------------------------------
%% 
%% Parameters:
%%	v - column of values aof f(par = 1) (like velocity inversion.v)
%%	vd - column of first derivatives of f at par = 1 (like inversion.v_d)
%%	vd2 - column of second derivatives (like onversion.v_d2)
%%	par - column of arguments at which f(par) is calculated
%% Returns:
%%	f - column of values f(par)
%% ================================================================================

function f = inv_dpred1(v,vd,vd2,par)

  p = par - 1;

  f = 0.5*vd2*(p.*p) + vd*p + v;

end

