%% One step of Newton iteration for fitting current data
%% -------------------------------------------------------------------------
%% Parameters:
%%	par - column of scaling factors for the model. If this parameter equals [],
%%		values par(i) = 1 are used
%%  Returns:
%5	dpar - increment in model scaling parameters 'par'
%% ===========================================================================

function dpar = inv_newton(par)

global model

  if nargin < 1		% no par given
	par = [];
  end

  if isempty(par)	
	par = ones(model.nlayers,1);
  end

  dpar = -inv(inv_hessian(par))*inv_gradient(par);

end

