% Returns layer and basis function number for global basis function number i
% Parameters:
%	ind - number of the basis function
% Returns:
%	layer - number of layer with which the basis function is associated
%	itype - type of basis function:
%		itype = 0 means Wiggins' 'derivative' function, 
%		itype = 1 means Wiggins' 'value' function.

function [ layer, itype ] = layer_bfun( ind )

  if ind == 0		% used only for Rayleigh wave
	itype = 0;
	layer = 0;
  elseif ind < 2 		% first level
	itype = 1;
	layer = 0;
  else
	layer = fix(0.5*ind+0.1);
	itype = round(ind-layer*2);
  end

end

