%% Returns normalized L1 data misfit 
%% (mean absolute value of difference of data values)
%% -----------------------------------------------------------------------
%%
%% Parameters:
%%	data - measured data in the form of a matrix. First column is frequencies,
%%		second column is values at these frequencies. 
%%	data_pred - predicted data in the same format.
%% Return value:
%%	err - misfit value
%% =========================================================================

function err = misfit_L1(data,data_pred)

  % interpolate values of modeled data at frequencies matching observed data

  d = interp1(data(:,1),data(:,2),data_pred(:,1));

  ind = isfinite(d);		% indices of points at which the interpolation was successful

  if isempty(ind)		% no overlap in frequencies
	err = 0.0;
	return
  end

%ind

  err = mean(abs(d(ind,1) - data_pred(ind,2)));

end

