%% Loads model from a text, .mat, or .mod file
%% ===========================================================================

%% Parameters:
%%	fname - file name
%% Returns:
%%	layers - matrix of layer parameters as in default_model.txt 

function layers = model_from_file( fname )

  if length(fname) >= 4

	ext = lower(fname((end-3):end));

	if strcmpi(ext,'.mat') || strcmpi(ext,'.mod')	% model file

		load(fname,'model')		% load in local 'model'

  		layers = [ model.z, model.rho, model.vp, model.vs, ...
				(model.eta_lambda + 2.0/3.0 * model.eta_mu), model.eta_mu ];	

	else	% text file

		layers = load(fname,'-ascii');
	end
end

