%% For a model and basis functions in global structures 'model' and 'bfun',
%% calculates and plots matrices M, S, and D

function plot_MSD_PSV()

global model bfun

  [ M, S ] = energy_forms_PSV();

  % test - print eigenvalues of M and S

  [eM,evM] = eigen(M);
  [eS,evS] = eigen(S);

%eM
%eS

%Md = diag(M)
%Sd = diag(S)

  maxM = max(max(abs(M)));
  maxS = max(max(abs(S)));

  % plot

  figure(11);
  clf
  subplot(2,2,1)
  hold on

  imagesc(real(M/maxM))

  colorbar

  set(gca,"Ydir","reverse")

  xlabel("basis function")
  ylabel("basis function")
  title("Re(M)")

  subplot(2,2,2)
  hold on

  imagesc(real(S/maxS))

  colorbar

  set(gca,"Ydir","reverse")

  xlabel("basis function")
  ylabel("basis function")
  title("Re(S)")

  subplot(2,2,3)
  hold on

  imagesc(imag(M/maxM))

  colorbar

  set(gca,"Ydir","reverse")

  xlabel("basis function")
  ylabel("basis function")
  title("Im(M)")

  subplot(2,2,4)
  hold on

  imagesc(imag(S/maxS))

  colorbar

  set(gca,"Ydir","reverse")

  xlabel("basis function")
  ylabel("basis function")
  title("Im(S)")

end

