%% Plots real and imaginary parts of the model vector 'c' vs. vector number
%% in two subplots of figure number 201

%% Parameters:
%%	c - model vector, i.e. column of weights for each of the basis functions in structure 'bfun'.
%%		If this matrix contains multiple columns, each of them is plotted side by side

function plot_c( c )

global model bfun

  nc = size(c,2);
  nr = size(c,1);

  gain = 0.8;

  figure(201)
  clf
  subplot(1,2,1)

  hold on

  for i=1:nc
	v = real(c(:,i));

	v = v/(max(abs(v))+1.0e-8)*gain;	% normalize to peak value = 1

  	plot(v+i,1:nr,'b-');
  end

  set(gca,"Ydir","reverse","XTick",1:nc,"YTick",1:nr)
  xlabel("c")
  ylabel("Mode number")
  title("Re(c)")

  subplot(1,2,2)

  hold on

  for i=1:nc
	v = imag(c(:,i));

	v = v/(max(abs(v))+1.0e-8)*gain;	% normalize to peak value = 1

  	plot(v+i,1:nr,'b-');
  end

  set(gca,"Ydir","reverse","XTick",1:nc,"YTick",1:nr)
  xlabel("c")
  ylabel("Mode number")
  title("Im(c)")

end

