%%% plotting the phase-velocity gradients with respect to model scaling 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% Parameters:
%%	figure_no - number of the figure to which the plotting commands are added 

function plot_gradients( figure_no )

global inversion

  if nargin < 1			% figure number not given
	figure_no = gcf();
  end

  lambda = sqrt(2*pi*inversion.kx.^(-1));

  figure(figure_no)

  subplot(1,4,1)		% model plot
  hold on

  plot_model();		% this also plots axes labels

  title("Model")

  subplot(1,4,2)		% fundamental mode
  hold on

  imagesc(lambda,1:size(inversion.v_d,1),inversion.v_d(:,:,1))

  colorbar()

  set(gca,'Ydir','reverse')
  xlabel('sqrt[Wavelength (m)]')
  ylabel('Layer number')
  title("Fundamental mode")

  subplot(1,4,3)		% mode 1
  hold on

  imagesc(lambda,1:size(inversion.v_d,1),inversion.v_d(:,:,2))

  colorbar()

  set(gca,'Ydir','reverse')
  xlabel('sqrt[Wavelength (m)]')
  ylabel('Layer number')
  title("Mode 1")

  subplot(1,4,4)		% mode 2
  hold on

  imagesc(lambda,1:size(inversion.v_d,1),inversion.v_d(:,:,3))

  colorbar()

  set(gca,'Ydir','reverse')
  xlabel('sqrt[Wavelength (m)]')
  ylabel('Layer number')
  title("Mode 2")
end

