%% Returns a pair of z and quantity (such as Vs) arrays in order to plot
%% a constant-quantity layer profile
 
%% Parameters:
%%	z - column of depth values 
%%	q - matching column of quantity values. Value q(i) is supposed to be constant
%%		within a layer above depth level z(i)
%% Return values:
%%	pz, pq - two arrays of equal length which can be used in plot() or gmtplot()
%%		to draw 

function [ pz, pq ] = plot_layers( z, q )

global model

  pz = [ model.z0, z(1) ];
  pq = [ q(1), q(1) ];
  
  for i=2:length(z)
	pz = [ pz, z(i-1), z(i) ];
	pq = [ pq, q(i), q(i) ];
  end

end

