%% Scales the base 'zer0' model model by parameters 'par'
%% Vp and Vs in each layer are multiplied by values in 'par', and all moduli
%% multiplied by squares of 'par'
%% -------------------------------------------------------------------------
%%
%% Parameters:
%%	par - array of scaling factors for each layer of the model
%% ================================================================================

function scale_model0(par)

global model

  if nargin < 1
	return
  end

  if ~isempty(par)

  	% scale vp0, vs0 by parameters 'par', and change the elastic moduli accordingly

  	p2 = par.^2;

  	model.vp0 = model.vp0 .* par;
  	model.vs0 = model.vs0 .* par;

  	model.mu0 = model.mu0 .*p2;
  	model.lambda0 = model.lambda0 .* p2;
  	model.l2mu0 = model.l2mu0 .* p2;
  end

end

